# Utilisation avancée

## Options en ligne de commande

Lorsque vous exécutez &appname; depuis la ligne de commande, il existe plusieurs options pour ouvrir des fichiers de données. Ces options peuvent être vues en exécutant `tellico --help`.

    Usage: tellico [Qt-options] [KDE-options] [options] [filename]

    Tellico - a collection manager for KDE

    Options:
      --nofile                  Do not reopen the last open file
      --bibtex                  Import <filename> as a bibtex file
      --mods                    Import <filename> as a MODS file
      --ris                     Import <filename> as a RIS file

    Arguments:
      filename                  File to open

## Interface &DCOP;

&appname; dispose d'une interface &DCOP; minimale, qui peut être utilisée pour automatiser l'application ou interagir avec depuis une la ligne de commande. Co,,e pour tous les appels &DCOP;, vous devez spécifier l'application avec laquelle vous souhaitez interagir ; ainsi que l'interface spécifique. Les appels &DCOP; décris dans ce document sont tous disponibles dans l'interface `tellico` de &appname; ; alors que le nom de l'application est `tellico-pid`, où pid est le process id de l'application.

### Commandes DCOP

La liste complète des commandes &DCOP; de l'objet `tellico` est disponible ci-dessous :

    bool importTellico(QString file, QString action)
    bool importBibtex(QString file, QString action)
    bool importMODS(QString file, QString action)
    bool importRIS(QString file, QString action)
    bool exportXML(QString file)
    bool exportBibtex(QString file)
    bool exportHTML(QString file)
    bool exportCSV(QString file)
    bool exportPilotDB(QString file)
    QStringList bibtexKeys()

Pour les quatre commandes d'import, le premier paramètre est le nom du fichier à importer, et le second l'action lors de l'import. Trois types d'actions sont disponibles : replace (remplacer), append (ajouter) et merge (fusioner). Quatre formats de fichier sont possibles pour l'import : fichier XML Tellico, BibTeX, MODS et RIS.

La collection ouverte dans &appname; peut être exportée vers un fichier, dans le format XML de Tellico, BibTeX, HTML ou CSV.

Enfin, si la collection courante est un bibliographie, appeler `bibtexKeys()` donnera comme résultat la clef de citation BibTeX de toutes les entées sélectionnées.

### Exemples DCOP

Voici quelques exemples de scripts &appname; utilisant l'interface &DCOP;. Puisque le pid doit être connu, la façon la plus simple de l'inclure dans la commande shell suivante : `dcop $(dcop | grep tellico) tellico`.

    Ouvrir un fichier BibTeX
    %
    dcop $(dcop | grep tellico) tellico importBibtex ~/documents/reference.bib replace
    true

    Exporter un fichier BibTeX
    % dcop $(dcop | grep tellico) tellico exportBibtex ~/documents/reference.bib
    true

    Afficher la clef de citation de la sélection courante
    % dcop $(dcop | grep tellico) tellico bibtexKeys
    stephenson2004